## org.red5.server.service
Class ServiceInvoker

    java.lang.Object
      org.red5.server.service.ServiceInvoker

All Implemented Interfaces:
  IServiceInvoker

    public class ServiceInvoker

extends Object
implements IServiceInvoker

Makes remote calls, invoking services, resolves service handlers

Author:
  The Red5 Project (red5@osflash.org), Luke Hubbard, Codegent Ltd (luke@codegent.com)

Field Summary
`static String` `SERVICE_NAME` Service name

Constructor Summary
`ServiceInvoker()`

Method Summary
`boolean` `invoke(IServiceCall call, IScope scope)` Execute the passed service call in the given scope.
`boolean` `invoke(IServiceCall call, Object service)` Execute the passed service call in the given object.
`void` `setServiceResolvers(Set<IServiceResolver> resolvers)` Setter for service resolvers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVICE_NAME

    public static final String SERVICE_NAME

  Service name

  See Also:
    Constant Field Values

Constructor Detail

### ServiceInvoker

    public ServiceInvoker()

Method Detail

### setServiceResolvers

    public void setServiceResolvers(Set<IServiceResolver> resolvers)

  Setter for service resolvers.

  Parameters:
    `resolvers` - Service resolvers

### invoke

    public boolean invoke(IServiceCall call,
                          IScope scope)

  Execute the passed service call in the given scope. This looks up the handler for the call in the scope and the context of the scope.

  Specified by:
    `invoke` in interface `IServiceInvoker`
  Parameters:
    `call` - the call to invoke
    `scope` - the scope to search for a handler
  Returns:
    `true` if the call was performed, otherwise `false`

### invoke

    public boolean invoke(IServiceCall call,
                          Object service)

  Execute the passed service call in the given object.

  Specified by:
    `invoke` in interface `IServiceInvoker`
  Parameters:
    `call` - the call to invoke
    `service` - the service to use
  Returns:
    `true` if the call was performed, otherwise `false`

Copyright © 2006-2010 The Red5 Project